/* Generated by powerful Codeforces Tool
 * Author: $%U%$
 * Time: $%Y%$-$%M%$-$%D%$ $%h%$:$%m%$
 **/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b){ return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b){ return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MOD = 998'244'353;

const ll MAXN = 2e5 + 5;
const ll INF = 1LL << 60;

ll N;

void solve(){
    // Code goes here ...
    cin >> N;

    // read in
    map<int, int> sticks;
    vector<int> ss;
    int s;
    R(i, N){
        cin >> s;
        ss.push_back(s);
        sticks[s] += 1;
    }

    // find best isos
    int isos = -1;
    vector<int> trapez;
    for(auto [k, v] : views::reverse(sticks)){
        if(v >= 2){
            isos = k;
            ss.erase(R::find(ss, isos));
            ss.erase(R::find(ss, isos));
            trapez.push_back(isos);
            trapez.push_back(isos);
            break;
            // cerr << k << " " << v << endl;
        }
    }

    // find best paras
    R::sort(ss);

    R(i, N - 3){
        if(ss[i + 1] - ss[i] < 2 * isos){
            trapez.push_back(ss[i + 1]);
            trapez.push_back(ss[i]);
            break;
        }
    }

    if(isos == -1 or trapez.size() < 4)
        cout << -1 << endl;
    else{
        // catch the bad ass
        int m = R::max(trapez);
        int s = reduce(trapez.begin(), trapez.end());
        if(s - m <= m){
            // cerr << s << " " << m << endl;
            cout << -1 << endl;
        }
        else{
            for(auto e : trapez) cout << e << " "; cout << endl;
        }
    }
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    /* string rest; */
    /* while(cin.peek() != char_traits<char>::eof()){ */
    /*     solve(); */
    /*     getline(cin, rest); */
    /* } */

    return 0;
}
        
